Retrieves a bill of materials item by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/bill-of-materials-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/bill-of-materials-items/{id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/bill-of-materials-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billOfMaterialsComponentProperties": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialsId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sort": 123
},
"billOfMaterialsChildComponentProperties": {
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
},
"billOfMaterialsItemProperties": {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"componentPostingsShelfLifeEndDateRequirements": 0,
"componentPostingsBatchNumberRequirements": 0,
"measurementUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"operationStepId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
}Production
Retrieves a bill of materials item by its ID.
Retrieves a bill of materials item by its ID.
GET
/
v2
/
bill-of-materials-items
/
{id}
Retrieves a bill of materials item by its ID.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
A bill of materials item.
This bill of material item's properties common for all bill of materials components.
Show child attributes
Show child attributes
This bill of material item's properties common for all bill of materials child components.
Show child attributes
Show child attributes
This bill of material item's properties.
Show child attributes
Show child attributes
Was this page helpful?